Subject: bug#24896: JSX prop indentation after fat arrow

From: Dmitry Gutov <[email-masked]>
Date: Fri, 9 Dec 2016 02:18:12 +0200

On 08.12.2016 13:12, Felipe Ochoa wrote:

> syntax-propertize-function is outside my limited knowledge of emacs
> internals. But to the extent that one could say "Outside of comments and
> strings, propertize `=>' as punctuation," I imagine that would fix it.

Yes, it can help with that.

> Also, this may be a dumb question, but are the tests in the "manual"
> directory meant to be run manually? If not, how would I run the tests there?

You can e.g. 'cd test/manual/indent' and run 'make js-jsx.js.test', to 
compare the indentation in js-jsx.js against what the current js.el does.

> And then finally, should I just email a patch with the proposed change &
> tests for this?

An email with a diff attached could be enough.

But if you wanted to include a "proper" commit message as well, see 
CONTRIBUTE in the top directory.